@echo off
rem ######################################################################
rem # Licensed Materials - Property of IBM
rem #
rem # IBM Tivoli Asset Compliance Center
rem # 5698-A86
rem #
rem # (C) Copyright IBM Corp. 2005, 2006. All Rights Reserved.
rem #
rem # US Government Users Restricted Rights - Use, duplication or
rem # disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ######################################################################
rem 
rem #################################################################
rem # This script is a front end to the ITLM Extractor for CCM 4.2  Java Application.
rem # Command line parameters to this script are 
rem # 1. When user wants to connect via windows authentication to the database
rem # -dbalias <TLMA22database>  -customerid   <customerId>  -outputfile <complete filename>
rem # 2. When user wants to connect to the database using userId/password
rem # Command line parameters to this script are 
rem # -dbalias <TLMA22database>  -customerid   <customerId> -userid  <userId> -outputfile <complete filename>
rem # Provide password when prompted
rem #################################################################

set LOG_PROP=%~dp0logging.properties
set CLSPATH=itlmextractor.jar;common.jar;lib\common.jar;lib\db2java.zip;lib\icl.jar;lib\ecore.jar;lib\icl-jlog.jar;lib\icu4j_3_4_1.jar;lib\commonj.sdo.jar;lib\ecore.sdo.jar;lib\icl-jras.jar;lib\ecore.xmi.jar

java -cp %CLSPATH%  -Djava.util.logging.config.file="%LOG_PROP%" com.ibm.itam.tlcm.extractor.app.Extractor %*


